class StepException(Exception):
    def __init__(self, troublesome_ids: list = [], processed_ids: list = []):
        super().__init__(troublesome_ids, processed_ids)
        self.troublesome_ids = troublesome_ids
        self.processed_ids = processed_ids
